import { defineConfig } from 'vite'
import vue from '@vitejs/plugin-vue'
import path from 'path'

// 统一使用 path.resolve
const resolve = (dir) => path.resolve(__dirname, dir)

export default defineConfig({
  base: process.env.ELECTRON ? './' : '/',
  plugins: [vue()],
  resolve: {
    alias: {
      '@': resolve('src'),
      '@views': resolve('src/views'),
      '@components': resolve('src/components'),
      '@assets': resolve('src/assets'),
    }
  },
  build: {
    chunkSizeWarningLimit: 1500,
    rollupOptions: {
      output: {
        manualChunks(id) {
          if (id.includes('node_modules')) {
            return 'vendor';
          }
        }
      }
    }
  }
})